Crystal Space: csEvent Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEvent Class Reference

This class represents a system event. More...

`#include <csutil/csevent.h>`

Inheritance diagram for csEvent:

[legend]
List of all members.

## Public Member Functions
virtual bool | AttributeExists (const char *name)
| Test whether an attribute exists.
| csEvent (csTicks iTime, csEventID iName, bool iBroadcast)
| Basic constructor.
| csEvent (csEvent const &)
| Cloning constructor.
| csEvent ()
| Empty initializer.
virtual csRef< iEventAttributeIterator > | GetAttributeIterator ()
| Get an iterator for all attributes.
virtual csEventAttributeType | GetAttributeType (const char *name)
| Query the type of an attribute.
const csEventID | GetName ()
| Return the event's name.
virtual bool | Remove (const char *name)
| Remove a specific attribute.
virtual bool | RemoveAll ()
| Remove all attributes.
virtual csEventError | Retrieve (const char *name, uint64 &value) const
virtual csEventError | Retrieve (const char *name, int64 &value) const
virtual | ~csEvent ()
| Destructor.
## Friends
class | csEventAttributeIterator

## Detailed Description

This class represents a system event.

Events can be generated by hardware (keyboard, mouse) as well as by software. There are so much constructors of this class as much different types of events exists.

Definition at line 54 of file csevent.h.

## Constructor & Destructor Documentation

csEvent::csEvent | ( |  | ) |

Empty initializer.

csEvent::csEvent | ( | csEvent const & |  | ) |

Cloning constructor.

Note that for command style events, this performs only a shallow copy of the `Info' attribute.

csEvent::csEvent | ( | csTicks | iTime,
|  | csEventID | iName,
|  | bool | iBroadcast |
| ) |  |  |

Basic constructor.

virtual csEvent::~csEvent | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool csEvent::AttributeExists | ( | const char * | name | ) | `[virtual]`

Test whether an attribute exists.

Implements iEvent.

virtual csRef<iEventAttributeIterator> csEvent::GetAttributeIterator | ( |  | ) | `[virtual]`

Get an iterator for all attributes.

Implements iEvent.

virtual csEventAttributeType csEvent::GetAttributeType | ( | const char * | name | ) | `[virtual]`

Query the type of an attribute.

Implements iEvent.

const csEventID csEvent::GetName | ( |  | ) | `[virtual]`

Return the event's name.

Implements iEvent.

virtual bool csEvent::Remove | ( | const char * | name | ) | `[virtual]`

Remove a specific attribute.

Implements iEvent.

virtual bool csEvent::RemoveAll | ( |  | ) | `[virtual]`

Remove all attributes.

Implements iEvent.

The documentation for this class was generated from the following file:

- csutil/csevent.h